Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 1709)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 1710)
@@ -831,7 +831,8 @@
 	protected boolean _load(Element e) {
 		//System.out.println("*** Load corpus: "+name);
 		if (e == null) {
-			System.out.println(TXMCoreMessages.warningColonCantLoadCorpus+this+TXMCoreMessages.informationsFromWorkspaceSelfElementNull);
+			Log.warning(TXMCoreMessages.warningColonCantLoadCorpus+this);
+			Log.warning(TXMCoreMessages.informationsFromWorkspaceSelfElementNull);
 			return false;
 		}
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 1709)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 1710)
@@ -630,7 +630,7 @@
 
 	@Override
 	public boolean canCompute() throws Exception {
-		return true;
+		return this.pID != null && this.pID.length() > 0;
 	}
 
 	@Override
@@ -640,6 +640,11 @@
 			Log.warning("** TXM can't load MainCorpus when CQP search engine is not ready.");
 			return false;
 		}
+		
+		if (this.pID == null || this.pID.length() == 0) {
+			Log.severe("** TXM can't load this MainCorpus: no CQP ID set.");
+			return false;
+		}
 
 		HashMap<String, MainCorpus> corpora = CorpusManager.getCorpusManager().getCorpora();
 		if (corpora.get(this.pID) != null && corpora.get(this.pID) != this) {
@@ -652,11 +657,10 @@
 		this.registryFile = new File(getProjectDirectory(), "registry/"+getID().toLowerCase());
 		
 		try {
-			
 			try {
 				PatchCwbRegistry.patch(this.registryFile, this.dataDirectory);
 			} catch (IOException e) {
-				Log.severe(TXMCoreMessages.bind("Error while updating registry file {0}.", this.registryFile));
+				Log.severe(TXMCoreMessages.bind("Error while updating the {0} registry file .", this.registryFile));
 				Log.printStackTrace(e);
 				return false;
 			}
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java	(revision 1709)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java	(revision 1710)
@@ -73,43 +73,6 @@
 		state = false;
 		// test if must-have properties for CWB are set
 
-//		String reg_path = ""; // new way that concats registry of loaded corpus
-//		String path_separator = System.getProperty("path.separator");
-//		File wl = Toolbox.workspace.getLocation();
-//		if (wl == null) {
-//			Log.severe("Error: Toolbox is not correctly initialized. Aborting CQP engine start...");
-//			return false;
-//		}
-//		for (File binDir : wl.listFiles(IOUtils.HIDDENFILE_FILTER)) {
-//			if (!binDir.isDirectory()) continue;
-//			if (binDir.getName().startsWith(".")) continue;
-//			if (binDir.getName().startsWith("~")) continue;
-//
-//			File registryDir = new File(binDir, "registry");
-//			if (!registryDir.isDirectory()) continue;
-//
-//			File[] files = registryDir.listFiles(IOUtils.HIDDENFILE_FILTER);
-//			if (files != null && files.length > 0) {
-//				reg_path += path_separator + registryDir.getAbsolutePath();
-//				for (File registryFile : files) {
-//					if (registryFile.isHidden()) continue;
-//					if (registryFile.isDirectory()) continue;
-//
-//					File dataDirectory = new File(binDir, "data/"+registryFile.getName().toUpperCase());
-//					if (!dataDirectory.exists())dataDirectory = new File(binDir, "data"); // eventual old corpus
-//					try {
-//						PatchCwbRegistry.patch(registryFile, dataDirectory);
-//					} catch (IOException e) {
-//						Log.severe(TXMCoreMessages.bind("Error while updating registry file {0}.", registryFile));
-//						Log.printStackTrace(e);
-//						return false;
-//					}
-//				}
-//			}
-//		}
-//		if (reg_path.length() > 0) reg_path = reg_path.substring(path_separator.length()); // remove first path_separator
-//		reg_path = reg_path.replace("\\\\", "//"); // fix the UNC paths for mingw
-//
 		String init_path = CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PATH_TO_INIT_FILE);
 		if (init_path.length() > 0 && !new File(init_path).exists()) {
 			Log.warning(TXMCoreMessages.bind("Warning: the given CQP init file path can not be found in {0}.", init_path));
@@ -391,9 +354,7 @@
 					e.printStackTrace();
 					System.out.println(Log.toString(e));
 				}
-			}
-		// Mac, Linux
-			else {
+			} else { // Mac, Linux
 				String cmd = "kill `ps aux | grep cqpserver | awk '/-P "+CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PORT)+"/ {print $2}'`"; // //$NON-NLS-1$ //$NON-NLS-2$
 				try {
 					//Process p = Runtime.getRuntime().exec("killall -9 cqpserver"); //$NON-NLS-1$
Index: tmp/org.txm.libs.cqp.win32/res/win64/cqpserver.exe
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.libs.cqp.win32/res/win64/cwb-decode.exe
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.libs.cqp.win32/res/win64/cqpjni.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.libs.cqp.win32/res/win64/cwb-align-encode.exe
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.libs.cqp.win32/res/win64/cwb-makeall.exe
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.libs.cqp.win32/res/win64/cqp.exe
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.libs.cqp.win32/res/win64/cwb-align.exe
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.libs.cqp.win32/res/win64/cwb-encode.exe
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java	(revision 1709)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java	(revision 1710)
@@ -201,10 +201,6 @@
 		if (allObjectDeleted.size() > 0) {
 
 			if (shouldRestartToolbox) {
-				//				org.txm.Toolbox.restartWorkspace(null);
-//				Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
-
-				Log.info(TXMUIMessages.info_txmIsReady);
 				StatusLine.setMessage(TXMUIMessages.info_txmIsReady);
 			}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1709)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1710)
@@ -28,7 +28,9 @@
 
 abort = Abort
 
-abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists = Aborting loading of {0}. A corpus with the same name already exists.
+abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists = A corpus with the same name {1} already exists. Aborting loading of {0}.
+
+abortingLoadingOfPOACorpusWithTheSameCQPIDAlreadyExists = A corpus with the same CQP MainCorpus identifier {1} already exists. Aborting loading of {0}.
 
 aboutTXM = About TXM…
 
@@ -849,7 +851,7 @@
 
 startJobColonLoadInstallPreferences = Startup: loading installation preferences
 
-startingUpP0 = Starting TXM {0}…
+startingUpP0 = Starting TXM {0} ({1})…
 
 startingUpdateFetch = Starting updates retrieval
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1709)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1710)
@@ -547,9 +547,9 @@
 
 loadingTheCorpusInThePlatform = Chargement du corpus dans la plateforme
 
-loadingTheP0BinaryCorpusAsATXM079Corpus = Chargement du corpus binaire 0.7.9 {0}...
+loadingTheP0BinaryCorpusAsATXM079Corpus = Chargement du corpus binaire au format 0.7.9 {0}...
 
-loadingTheP0BinaryCorpusAsATXM080Corpus = Chargement du corpus binaire 0.8.0 {0}...
+loadingTheP0BinaryCorpusAsATXM080Corpus = Chargement du corpus binaire au format 0.8.0 {0}...
 
 loadingViews = Chargement des vues
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1709)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1710)
@@ -28,6 +28,7 @@
 	public static String aWordWithItsProperty; 
 	public static String abort; 
 	public static String abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists;
+	public static String abortingLoadingOfPOACorpusWithTheSameCQPIDAlreadyExists;
 	public static String aboutTXM; 
 	public static String activateProxyService; 
 	public static String addAWord; 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 1709)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 1710)
@@ -94,7 +94,15 @@
 			
 			if (directory.exists()) {
 				LastOpened.set(ID, directory);
-				return loadBinaryCorpusFromCorporaDirectory(directory, true, true, false);
+				JobHandler job = loadBinaryCorpusFromCorporaDirectory(directory, true, true, false);
+				if (job != null) {
+					try {
+						job.join();
+					} catch (InterruptedException e) {
+						// TODO Auto-generated catch block
+						e.printStackTrace();
+					}
+				}
 			}
 		}
 		return null;
@@ -179,7 +187,6 @@
 					@Override
 					public void run() {
 						RestartTXM.reloadViews();
-						System.err.println(TXMUIMessages.info_txmIsReady);
 						StatusLine.setMessage(TXMUIMessages.info_txmIsReady);
 					}
 				});
@@ -324,7 +331,7 @@
 				
 				Project project = Toolbox.workspace.getProject(corpusDirectory.getName().toUpperCase());
 				if (project != null) {
-					Log.warning("A corpus named "+corpusDirectory.getName().toUpperCase()+" is already exists, abandoning the loading of "+corpusDirectory);
+					Log.warning("A corpus named "+corpusDirectory.getName().toUpperCase()+" already exists, abandoning the loading of "+corpusDirectory);
 					continue;
 				}
 				
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java	(revision 1709)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java	(revision 1710)
@@ -81,7 +81,7 @@
 			if (replace) {
 				p.delete();
 			} else {
-				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists, zipFile));
+				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists, zipFile, basedirname.toUpperCase()));
 				return null;
 			}
 			
@@ -92,7 +92,7 @@
 			DeleteDir.deleteDirectory(corpusDirectory);
 		} else {
 			if (corpusDirectory.exists()) {
-				System.out.println("Aborting loading of "+zipFile+". A directory with the same name already exists: "+corpusDirectory);
+				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists, zipFile, corpusDirectory));
 				return null;
 			}
 		}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 1709)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 1710)
@@ -123,7 +123,8 @@
 			}
 		}
 
-		return loadBinaryCorpusArchive(zipFile);
+		JobHandler job = loadBinaryCorpusArchive(zipFile);
+		return job;
 	}
 
 	/**
@@ -135,7 +136,7 @@
 	 * 4- load the binary corpus directory
 	 * 5- restart TXM engines
 	 */
-	public static boolean loadBinaryCorpusArchive(final File zipFile) throws ExecutionException {
+	public static JobHandler loadBinaryCorpusArchive(final File zipFile) throws ExecutionException {
 
 		String filename = zipFile.getName();
 		final File corporaDir = Toolbox.workspace.getLocation();
@@ -144,21 +145,14 @@
 		if (!filename.endsWith(".txm") && !filename.endsWith(".zip")) { //$NON-NLS-1$ //$NON-NLS-2$
 			System.out.println(TXMUIMessages.aBinaryCorpusIsATXMFileExtensionTxmOrZip);
 			System.out.println(NLS.bind(TXMUIMessages.thisFileIsNotATXMFileColonP0, zipFile));
-			return false;
+			return null;
 		}
 
 		if (!zipFile.canRead()) {
 			System.out.println(NLS.bind(TXMUIMessages.cannotReadTheFileP0, zipFile));
-			return false;
+			return null;
 		}
 
-//		try {
-//			SearchEnginesManager.getCQPSearchEngine().stop();
-//		} catch (Exception e1) {
-//			// TODO Auto-generated catch block
-//			e1.printStackTrace();
-//		}
-
 		//build binary dir path			
 		String basedirname = Zip.getRoot(zipFile).toUpperCase();
 
@@ -187,23 +181,10 @@
 				}
 
 				if (corpusdir.exists()) {
-//					System.out.println("Error: previous binary corpus directory was not deleted: "+corpusdir);
-//					try {
-//						SearchEnginesManager.getCQPSearchEngine().start(null);
-//					} catch (Exception e) {
-//						// TODO Auto-generated catch block
-//						e.printStackTrace();
-//					}
-					return false;
+					return null;
 				}
 			} else {
-//				try {
-//					SearchEnginesManager.getCQPSearchEngine().start(null);
-//				} catch (Exception e) {
-//					// TODO Auto-generated catch block
-//					e.printStackTrace();
-//				}
-				return false; // abandon
+				return null; // abandon
 			}
 		}
 
@@ -219,18 +200,11 @@
 					@Override
 					public void run() {
 
-//						try {
-//							SearchEnginesManager.getCQPSearchEngine().start();
-//						} catch (Exception e) {
-//							e.printStackTrace();
-//						}
-
 						if (newProject2 != null) {
 							newProject2.compute();
 							RestartTXM.reloadViews();
 							//System.out.println("Select newly loaded corpus: "+base2.getCorpora().values());
 							CorporaView.select(newProject2.getChildren(MainCorpus.class));
-							System.err.println(TXMUIMessages.info_txmIsReady);
 							StatusLine.setMessage(TXMUIMessages.info_txmIsReady);
 						} else {
 							System.out.println("Error: no project loaded.");
@@ -248,7 +222,7 @@
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
 
-		return true;
+		return jobhandler;
 	}
 
 	/**
@@ -281,29 +255,6 @@
 				Log.warning(NLS.bind("Failed to load the {0} corpus.", zipFile));
 				return null; 
 			}
-
-			//			final Project newProject2 = project;
-			//			jobhandler.syncExec(new Runnable() {
-			//				@Override
-			//				public void run() {
-			//					
-			//					SearchEngine engine = SearchEnginesManager.getCQPSearchEngine();
-			//					if (!engine.isRunning()) {
-			//						try {
-			//							engine.start(monitor);
-			//						} catch (Exception e) {
-			//							// TODO Auto-generated catch block
-			//							e.printStackTrace();
-			//						}
-			//					}
-			//					
-			//					RestartTXM.reloadViews();
-			//					//System.out.println("Select newly loaded corpus: "+base2.getCorpora().values());
-			//					CorporaView.select(newProject2.getChildren(MainCorpus.class));
-			//					System.err.println(TXMUIMessages.info_txmIsReady);
-			//					StatusLine.setMessage(TXMUIMessages.info_txmIsReady);
-			//				}
-			//			});
 		} catch (ThreadDeath td) { 
 			return null;
 		} catch (Exception e2) {
@@ -349,9 +300,9 @@
 		//		Toolbox.workspace.save();
 
 		// test with project name
-		Project p = Toolbox.workspace.getProject(corpusDirectory.getName().toUpperCase().toUpperCase());
+		Project p = Toolbox.workspace.getProject(corpusDirectory.getName().toUpperCase());
 		if (p != null) {
-			Log.warning(NLS.bind("Aborting loading of {0}. A corpus with the same name already exists.", corpusDirectory));
+			Log.warning(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists, corpusDirectory, corpusDirectory.getName().toUpperCase()));
 			return null;
 		}
 
@@ -362,7 +313,7 @@
 			String mainCorpusName = mainCorpusDirs[0].getName();
 			p = Toolbox.workspace.getProject(mainCorpusName);
 			if (p != null) {
-				Log.warning(NLS.bind("Aborting loading of {0}. A corpus with the same {1} CQP MainCorpus name already exists.", corpusDirectory, mainCorpusName));
+				Log.warning(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameCQPIDAlreadyExists, corpusDirectory, mainCorpusName));
 				return null;
 			}
 		}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 1709)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 1710)
@@ -79,7 +79,7 @@
 			if (replace) {
 				p.delete();
 			} else {
-				System.out.println("Aborting loading of "+zipFile+". A corpus with the same name already exists.");
+				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists, zipFile, basedirname.toUpperCase()));
 				return null;
 			}
 		}
@@ -89,7 +89,7 @@
 			if (replace) {
 				DeleteDir.deleteDirectory(corpusDirectory);
 			} else {
-				System.out.println("Aborting loading of "+zipFile+". A directory with the same name already exists: "+corpusDirectory);
+				System.out.println(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists, zipFile, corpusDirectory));
 				return null;
 			}
 			
@@ -117,7 +117,7 @@
 			String mainCorpusName = mainCorpusDirs[0].getName();
 			p = Toolbox.workspace.getProject(mainCorpusName);
 			if (p != null) {
-				Log.severe(NLS.bind("Aborting loading of {0}. A corpus with the same {1} CQP MainCorpus name already exists.", corpusDirectory, mainCorpusName));
+				Log.severe(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameCQPIDAlreadyExists, corpusDirectory, mainCorpusName));
 				DeleteDir.deleteDirectory(corpusDirectory); // clean files
 				return null;
 			}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 1709)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 1710)
@@ -333,10 +333,9 @@
 		// build the properties given to the Toolbox
 		String version =  Activator.getDefault().getBundle().getVersion().toString(); // "0.7.7.201412160925";
 		version = version.replaceAll("(.\\..\\..)\\.(....)(..)(..)(..)(..)", "$1 ($2-$3-$4 $5h$6)"); //$NON-NLS-1$ //$NON-NLS-2$
-		System.out.print(NLS.bind(TXMUIMessages.startingUpP0, version));
 		DateFormat formatter = TXMResult.PRETTY_LOCALIZED_TIME_FORMAT;
 
-		System.out.println(NLS.bind(" ({0})", formatter.format(new Date(Activator.getDefault().getBundle().getLastModified()))));
+		System.out.println(NLS.bind(TXMUIMessages.startingUpP0, version, formatter.format(new Date(Activator.getDefault().getBundle().getLastModified()))));
 	}
 
 	private void setPreferencesConfiguration() {
Index: tmp/org.txm.setups/shared/debian/usr/bin/TXM
===================================================================
--- tmp/org.txm.setups/shared/debian/usr/bin/TXM	(revision 1709)
+++ tmp/org.txm.setups/shared/debian/usr/bin/TXM	(revision 1710)
@@ -141,14 +141,14 @@
         exit 1
     fi
 else
-	echo "TXM: already up to date.";
+	echo "TXM: already up to date."
 fi
 
 ) 1>&3 2>&4
 
 # don't exec TXM if problem occurs
 if [ $? != 0 ]; then
-    echo "TXM: An error occurred. Aborting$LOGFILESMSG";
+    echo "TXM: An error occurred. Aborting$LOGFILESMSG"
     exit 1 ;
 fi
 
Index: tmp/org.txm.core/src/java/org/txm/objects/BaseOldParameters.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/BaseOldParameters.java	(revision 1709)
+++ tmp/org.txm.core/src/java/org/txm/objects/BaseOldParameters.java	(revision 1710)
@@ -16,6 +16,7 @@
 
 import javax.xml.parsers.ParserConfigurationException;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.utils.logger.Log;
 import org.txm.utils.xml.DomUtils;
 import org.w3c.dom.Document;
@@ -491,7 +492,7 @@
 			}
 		}
 		
-		System.out.println("Warning param.xml has no corpus defined: "+paramFile);
+		System.out.println(NLS.bind("Warning no corpus element defined in the {0} file.",paramFile));
 		return null;
 	}
 
Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 1709)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 1710)
@@ -239,16 +239,19 @@
 			if (monitor != null) {
 				monitor.subTask("Loading extensions (pre-installation)...");
 			}
-			pluginsPreinstallation();
+			pluginsPreinstallation(monitor);
 		} catch(Exception e) {
 			System.out.println("Error while pre-installing plugins: " + e.getLocalizedMessage());
 		}
 
+		if (monitor != null && monitor.isCanceled()) return false;
+		
 		try {
 			// initialize workspace : list of corpus loaded in TXM
 			// copy shared files if needed
 			state = startWorkspace(monitor);
-
+			if (monitor != null && monitor.isCanceled()) return false;
+			
 			Log.fine("Initializing logger...");
 			Log.setLevel(Level.parse(getPreference(TBXPreferences.LOG_LEVEL)));
 			Log.setPrintInConsole(TBXPreferences.getInstance().getBoolean(TBXPreferences.ADD_TECH_LOGS));
@@ -267,6 +270,7 @@
 
 		try {
 			startEnginesManagers(monitor);
+			if (monitor != null && monitor.isCanceled()) return false;
 		} catch (Exception e) {
 			Log.severe("Error while starting engines.");
 			e.printStackTrace();
@@ -280,7 +284,8 @@
 			if (monitor != null) {
 				monitor.subTask("Loading plug-in post-installation extensions...");
 			}
-			pluginsPostinstallation();
+			pluginsPostinstallation(monitor);
+			if (monitor != null && monitor.isCanceled()) return false;
 		} catch(Exception e) {
 			Log.severe("Error while loading plugins post-installation.");
 			e.printStackTrace();
@@ -372,8 +377,9 @@
 
 	/**
 	 * Allow to install a TXM extension AFTER the Toolbox is initialized
+	 * @param monitor 
 	 */
-	private static void pluginsPostinstallation() {
+	private static void pluginsPostinstallation(IProgressMonitor monitor) {
 
 		IConfigurationElement[] config = Platform.getExtensionRegistry().getConfigurationElementsFor(PostInstallationStep.EXTENSION_ID);
 
@@ -381,6 +387,7 @@
 		Log.fine(Arrays.toString(config));
 
 		for (IConfigurationElement e : config) {
+			if (monitor != null && monitor.isCanceled()) return;
 			try {
 				Log.fine(NLS.bind(TXMCoreMessages.evaluatingExtensionColonP0FromP1, e.getName(), e.getContributor().getName()));
 
@@ -409,13 +416,14 @@
 	/**
 	 * Allow to install a TXM extension BEFORE the Toolbox is initialized
 	 */
-	private static void pluginsPreinstallation() {
+	private static void pluginsPreinstallation(IProgressMonitor monitor) {
 
 		IConfigurationElement[] config = Platform.getExtensionRegistry().getConfigurationElementsFor(PostInstallationStep.EXTENSION_ID);
 		Log.fine(TXMCoreMessages.loadingExtensions);
 		Log.fine(Arrays.toString(config));
 
 		for (IConfigurationElement e : config) {
+			if (monitor != null && monitor.isCanceled()) return;
 			try {
 				Log.fine(NLS.bind(TXMCoreMessages.evaluatingExtensionColonP0FromP1, e.getName(), e.getContributor().getName()));
 
Index: tmp/org.txm.libs.cqp.linux/res/linux64/cqp
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.libs.cqp.linux/res/linux64/cwb-align
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.libs.cqp.linux/res/linux64/cwb-encode
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.libs.cqp.linux/res/linux64/cqpserver
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.libs.cqp.linux/res/linux64/libcqpjni.so
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.libs.cqp.linux/res/linux64/cwb-decode
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.libs.cqp.linux/res/linux64/cwb-align-encode
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.libs.cqp.linux/res/linux64/cwb-makeall
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/handlers/OpenJFCChartPropertiesEditor.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/handlers/OpenJFCChartPropertiesEditor.java	(revision 1709)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/handlers/OpenJFCChartPropertiesEditor.java	(revision 1710)
@@ -69,7 +69,7 @@
 			});
 		}
 		else	{
-			Log.severe("OpenJFCChartPropertiesEditor.execute(): Can not open chart properties interface for the current chart engine."); //$NON-NLS-1$
+			Log.warning("Can not open chart properties interface for the current chart engine."); //$NON-NLS-1$
 		}
 
 		return null;
Index: tmp/org.txm.rcp.feature/win/TXM.bat
===================================================================
--- tmp/org.txm.rcp.feature/win/TXM.bat	(revision 1709)
+++ tmp/org.txm.rcp.feature/win/TXM.bat	(revision 1710)
@@ -71,6 +71,6 @@
 :run
 
 set _JAVA_OPTIONS=-Duser.home="%USERHOME%"
-echo running "%installdir%TXM.exe" -run --launcher.ini "%DOTTXM%TXM.ini" -data "%DOTTXM%data" -user "%DOTTXM%user" -install "%installdir%"echo running "%installdir%TXM.exe" -log -run --launcher.ini "%DOTTXM%TXM.ini" -consolelog -clean -debug -console -noexit -data "%TXMHOME%corpora" -user "%DOTTXM%user" -install "%installdir%\"
-REM "%installdir%TXM.exe" -run --launcher.ini "%DOTTXM%TXM.ini" -data "%DOTTXM%corpora" -user "%DOTTXM%user" -install "%installdir%"
+echo running "%installdir%TXM.exe" -run --launcher.ini "%DOTTXM%TXM.ini" %ARGS% -data "%DOTTXM%data" -user "%DOTTXM%user" -install "%installdir%"
+REM "%installdir%TXM.exe" -run --launcher.ini "%DOTTXM%TXM.ini" %ARGS% -data "%DOTTXM%corpora" -user "%DOTTXM%user" -install "%installdir%"
 "%installdir%TXM.exe" -run --launcher.ini "%DOTTXM%TXM.ini" %ARGS% -data "%TXMHOME%corpora" -user "%DOTTXM%user" -install "%installdir%\"
